org.eclnt.jsfserver.elements.componentnodes

## Class OVERLAYAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.OVERLAYAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class OVERLAYAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OVERLAYAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OVERLAYAREANode` | `bindActionListener(IActionListenerDelegation value)`
    `OVERLAYAREANode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindAvoiditemanimation(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindBackground(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindBorder(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindClientname(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindColspan(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindDropshape(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindHelpid(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindOpaque(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindShadow(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `bindWidth(IDynamicContentBindingObject value)`
    `OVERLAYAREANode` | `setActionListener(java.lang.String value)`
    `OVERLAYAREANode` | `setAdapterbinding(java.lang.String value)`
    `OVERLAYAREANode` | `setAnimatechangeofsize(boolean value)`
    `OVERLAYAREANode` | `setAnimatechangeofsize(java.lang.String value)`
    `OVERLAYAREANode` | `setAttributemacro(java.lang.String value)`
    `OVERLAYAREANode` | `setAvoiditemanimation(boolean value)`
    `OVERLAYAREANode` | `setAvoiditemanimation(java.lang.String value)`
    `OVERLAYAREANode` | `setBackground(java.lang.String value)`
    `OVERLAYAREANode` | `setBgpaint(java.lang.String value)`
    `OVERLAYAREANode` | `setBorder(java.lang.String value)`
    `OVERLAYAREANode` | `setClientname(java.lang.String value)`
    `OVERLAYAREANode` | `setColspan(int value)`
    `OVERLAYAREANode` | `setColspan(java.lang.String value)`
    `OVERLAYAREANode` | `setComment(java.lang.String value)`
    `OVERLAYAREANode` | `setConfiginfo(java.lang.String value)`
    `OVERLAYAREANode` | `setDroprastertext(java.lang.String value)`
    `OVERLAYAREANode` | `setDropreceive(java.lang.String value)`
    `OVERLAYAREANode` | `setDropshape(java.lang.String value)`
    `OVERLAYAREANode` | `setFlusharea(boolean value)`
    `OVERLAYAREANode` | `setFlusharea(java.lang.String value)`
    `OVERLAYAREANode` | `setHeight(int value)`
    `OVERLAYAREANode` | `setHeight(java.lang.String value)`
    `OVERLAYAREANode` | `setHelpid(java.lang.String value)`
    `OVERLAYAREANode` | `setId(java.lang.String value)`
    `OVERLAYAREANode` | `setOpaque(boolean value)`
    `OVERLAYAREANode` | `setOpaque(java.lang.String value)`
    `OVERLAYAREANode` | `setPopupmenu(java.lang.String value)`
    `OVERLAYAREANode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `OVERLAYAREANode` | `setReference(java.lang.String value)`
    `OVERLAYAREANode` | `setRendered(boolean value)`
    `OVERLAYAREANode` | `setRendered(java.lang.String value)`
    `OVERLAYAREANode` | `setShadow(java.lang.String value)`
    `OVERLAYAREANode` | `setStyleseq(java.lang.String value)`
    `OVERLAYAREANode` | `setStylevariant(java.lang.String value)`
    `OVERLAYAREANode` | `setWidth(int value)`
    `OVERLAYAREANode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OVERLAYAREANode

          public OVERLAYAREANode()

  - ### Method Detail

    - #### setId

          public OVERLAYAREANode setId(java.lang.String value)

    - #### setActionListener

          public OVERLAYAREANode setActionListener(java.lang.String value)

    - #### bindActionListener

          public OVERLAYAREANode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public OVERLAYAREANode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public OVERLAYAREANode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public OVERLAYAREANode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public OVERLAYAREANode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public OVERLAYAREANode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public OVERLAYAREANode setAttributemacro(java.lang.String value)

    - #### setAvoiditemanimation

          public OVERLAYAREANode setAvoiditemanimation(java.lang.String value)

    - #### bindAvoiditemanimation

          public OVERLAYAREANode bindAvoiditemanimation(IDynamicContentBindingObject value)

    - #### setAvoiditemanimation

          public OVERLAYAREANode setAvoiditemanimation(boolean value)

    - #### setBackground

          public OVERLAYAREANode setBackground(java.lang.String value)

    - #### bindBackground

          public OVERLAYAREANode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public OVERLAYAREANode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public OVERLAYAREANode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public OVERLAYAREANode setBorder(java.lang.String value)

    - #### bindBorder

          public OVERLAYAREANode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public OVERLAYAREANode setClientname(java.lang.String value)

    - #### bindClientname

          public OVERLAYAREANode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public OVERLAYAREANode setColspan(java.lang.String value)

    - #### bindColspan

          public OVERLAYAREANode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public OVERLAYAREANode setColspan(int value)

    - #### setComment

          public OVERLAYAREANode setComment(java.lang.String value)

    - #### bindComment

          public OVERLAYAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public OVERLAYAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public OVERLAYAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public OVERLAYAREANode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public OVERLAYAREANode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public OVERLAYAREANode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public OVERLAYAREANode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public OVERLAYAREANode setDropshape(java.lang.String value)

    - #### bindDropshape

          public OVERLAYAREANode bindDropshape(IDynamicContentBindingObject value)

    - #### setFlusharea

          public OVERLAYAREANode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public OVERLAYAREANode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public OVERLAYAREANode setFlusharea(boolean value)

    - #### setHeight

          public OVERLAYAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public OVERLAYAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public OVERLAYAREANode setHeight(int value)

    - #### setHelpid

          public OVERLAYAREANode setHelpid(java.lang.String value)

    - #### bindHelpid

          public OVERLAYAREANode bindHelpid(IDynamicContentBindingObject value)

    - #### setOpaque

          public OVERLAYAREANode setOpaque(java.lang.String value)

    - #### bindOpaque

          public OVERLAYAREANode bindOpaque(IDynamicContentBindingObject value)

    - #### setOpaque

          public OVERLAYAREANode setOpaque(boolean value)

    - #### setPopupmenu

          public OVERLAYAREANode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public OVERLAYAREANode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public OVERLAYAREANode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public OVERLAYAREANode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public OVERLAYAREANode setReference(java.lang.String value)

    - #### setRendered

          public OVERLAYAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public OVERLAYAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public OVERLAYAREANode setRendered(boolean value)

    - #### setShadow

          public OVERLAYAREANode setShadow(java.lang.String value)

    - #### bindShadow

          public OVERLAYAREANode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public OVERLAYAREANode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public OVERLAYAREANode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public OVERLAYAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public OVERLAYAREANode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public OVERLAYAREANode setWidth(java.lang.String value)

    - #### bindWidth

          public OVERLAYAREANode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public OVERLAYAREANode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.